### Constructor

# GObject SignalGroup new

since: 2.72

#### Declaration [src]

    GSignalGroup*
    g_signal_group_new (
      GType target_type
    )

#### Description [src]

Creates a new `GSignalGroup` for target instances of `target_type`.

Available since: 2.72

#### Parameters

`target_type`

  Type: `GType`

  The `GType` of the target instance.

#### Return value

Type: `GSignalGroup`

A new `GSignalGroup`.

The caller of the function takes ownership of the data, and is responsible for freeing it.